# Gaiety's Dotfiles

Designed for Unix Systems.

## Setup
* Install a nice terminal 
  * iterm2 for MacOS (via [brew](https://docs.brew.sh/Installation)) `brew install iterm2` (a color theme is in the root directory, feel free to import it in preferences)
  * [Terminology for Linux](https://www.enlightenment.org/about-terminology.md)
* [Install asdf](https://asdf-vm.com/#/core-manage-asdf) version manager, configure with tools you'll need
* Install [Difftastic](https://difftastic.wilfred.me.uk/installation.html)
* Install [NeoVim](https://neovim.io/)
* Install [LunarVim](https://www.lunarvim.org/)
  `lvim` to run
  Additional config in `lvim.config`
* Install fzf
  ```bash
  git clone --depth 1 https://github.com/junegunn/fzf.git ~/.fzf
  ~/.fzf/install
  ```
* ZSH
  * Verify ZSH is installed
  * Install zi `sh -c "$(curl -fsSL https://git.io/get-zi)" --`
